Documentation index for AI agents (llms.txt)

Append .md to any page URL for its markdown source, or fetch llms-full.txt for the complete corpus.

Fundings

List funds the customer has taken

GET/customers/{customer_id}/fundings/

Authorizations

Authorizationstringheaderrequired

You must put the word Bearer or Token in the Authorization header before your token e.g:

Authorization: Bearer <Your API token>

Examples generated from this schema may be missing the word Bearer.

Path parameters

customer_idstringrequired

The unique customer_id used to represent a customer.

Query parameters

limitnumberrequired
offsetnumberrequired

Responses

Success

countnumber<integer>required

The total number of fundings for this customer. (May be more than appear in the items list due to pagination).

Array of Funding
application_idstring<uuid>

Identifies the application this funding resulted from

funding_amountnumber<float>required

The amount transferred to the customer

funding_created_atstring<date-time>required

The time at which the customer initiated the sending of the funds. This is usually when the funds were sent, except in cases where there was a delay.

funding_fee_amountnumber<float>required

The amount added on to the loan as a fee for this funding. This corresponds to the funding_amount and offer_fee_percentage.

funding_idstring<uuid>required

A unique identifier for this funding

offer_duration_in_daysnumber<integer>required

The duration of the loan. The end date of the loan is this many days from the first funding. (Later fundings from the same offer will show the same offer_duration_in_days, but are due to be repaid by the same time as the original funding).

offer_fee_percentagenumber<float>required

What percentage of the amount borrowed was added to the loan as a fee when the customer took the money

>= 0<= 100
offer_idstring<uuid>required

Identifies the formal offer that the customer accepted. The fields offer_max_amount, offer_monthly_interest_percentage, offer_fee_percentage and offer_duration_in_days will be the same for fundings that have the same offer_id, because these are properties of the offer. They correspond to fields in the /offers endpoint and are duplicated here for convenience.

offer_max_amountnumber<float>required

The maximum funding the customer can take from this offer.

offer_monthly_interest_percentagenumber<float>required

Monthly interest rate as a percentage (e.g. 3.0 means 3% per month)